import { assertEquals } from "assert";
import { b } from "../helpers.ts";
import parsePngUint from "../../public/png/parsePngUint.js";

Deno.test("parses PNG uints", () => {
  assertEquals(parsePngUint(b(0, 0, 0, 0)), 0);
  assertEquals(parsePngUint(b(0xfe, 0xdc, 0xba, 0x98)), 0xfedcba98);
});
